commit:     a9ed6e5fe6c474c5166f5a238bd720ed49bae90a
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Thu Jan 16 13:33:46 2020 +0000
Commit:     Benda XU <heroxbd <AT> gentoo <DOT> org>
CommitDate: Sun Feb  9 12:43:47 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a9ed6e5f

dev-python/memory_profiler: Fix ebuild

  Add examples flag
  Add py3_8
  Put setuptools in rdepend

Bug: https://github.com/gentoo/gentoo/pull/14344
Bug: https://bugs.gentoo.org/705872

Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>
Signed-off-by: Benda Xu <heroxbd <AT> gentoo.org>

 dev-python/memory_profiler/Manifest                |  1 +
 .../memory_profiler/memory_profiler-0.57.ebuild    | 55 ++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/dev-python/memory_profiler/Manifest 
b/dev-python/memory_profiler/Manifest
index 68353143866..faca695e6ef 100644
--- a/dev-python/memory_profiler/Manifest
+++ b/dev-python/memory_profiler/Manifest
@@ -1,3 +1,4 @@
 DIST memory_profiler-0.47.tar.gz 33725 BLAKE2B 
66fc0e5c579febeea9dcd5132caa6fdbccdb5cb0a2c9083f5abf8aa03baaaafe1f77f72cdbe4d5384c6ce27fd4760511f9a947fda46eee1d81e7125c1dcd2970
 SHA512 
110e16ecad33068d31cf53b2f0b775d65230d51345f24a4d7d3cafafb706b10a0c7e2d98a799256b0366f1bafa9b69c060222595bb4eb9e1689301428a36fc3d
 DIST memory_profiler-0.54.0.tar.gz 31376 BLAKE2B 
4c89a046bdce36a139448dde45c8cf952aaa8fe8e2089bf9574a8fb2ed1abb89991e54f59742b0ea1ae5315378c0799ef140752549f9a8d13a91bf0ceb021984
 SHA512 
ec5735b7e41e706ea35ce9fe0dd3963c51e50e5bdf7f1871c51bbbb2a0ae75abcdba23abd3a14979c26ce19e7ce7d2cf6782aefc77e0c17cfe4da573a6e249ae
 DIST memory_profiler-0.55.0.tar.gz 40951 BLAKE2B 
ed6eefa0a522eaddfd0ebf3b118a57b7bcf6c7455057d1a9e891e826ba2b32a671fd86357d073f45c36ae5db418987a55e90a908cbb4aba3b3f972ba4580f9f6
 SHA512 
9f280af163b124809d0276b2a473f66d9f11071f38afbabf7247d4e49f120c137f69dde2cc3fb27fcc88cfc6dc71355ba01efeb102098c401c7e953462ed4a1b
+DIST memory_profiler-0.57.tar.gz 84096 BLAKE2B 
d2c5fe810b9ac2f1e52fb8630056ee825d3d56799c15a377bff914be3a04e11c872e557847ef2a107421d082515eb59906f931ad1873ae7fec58fef16caabb4c
 SHA512 
c6e2f755656dc820dfc2cf7a659dc319b3d1aa0df144ac6a08db35f4b38a90a9b994cf9c8320b8370f51c97e0d0bf2f9c4a3ab070b4934879f8e579b732e426a

diff --git a/dev-python/memory_profiler/memory_profiler-0.57.ebuild 
b/dev-python/memory_profiler/memory_profiler-0.57.ebuild
new file mode 100644
index 00000000000..9b0b4220a75
--- /dev/null
+++ b/dev-python/memory_profiler/memory_profiler-0.57.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="A module for monitoring memory usage of a python program"
+HOMEPAGE="https://pypi.org/project/memory_profiler/ 
https://github.com/fabianp/memory_profiler";
+SRC_URI="https://github.com/pythonprofilers/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+IUSE="examples"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+# dev-lang/mercury: collision on 'mprof'
+# https://bugs.gentoo.org/571176
+RDEPEND="dev-python/psutil[${PYTHON_USEDEP}]
+       !dev-lang/mercury"
+
+distutils_enable_tests pytest
+
+python_test() {
+       ${EPYTHON} -m memory_profiler test/test_as.py || die
+       ${EPYTHON} -m memory_profiler test/test_func.py || die
+       ${EPYTHON} -m memory_profiler test/test_gen.py || die
+       ${EPYTHON} -m memory_profiler test/test_loop.py || die
+       ${EPYTHON} -m memory_profiler test/test_loop_decorated.py || die
+       ${EPYTHON} -m memory_profiler test/test_mprofile.py || die
+       ${EPYTHON} -m memory_profiler test/test_nested.py || die
+       ${EPYTHON} -m memory_profiler test/test_precision_command_line.py || die
+       ${EPYTHON} -m memory_profiler test/test_unicode.py || die
+
+       ${EPYTHON} test/test_exception.py || die
+       ${EPYTHON} test/test_exit_code.py || die
+       ${EPYTHON} test/test_global.py || die
+       ${EPYTHON} test/test_import.py || die
+       ${EPYTHON} test/test_memory_usage.py || die
+       ${EPYTHON} test/test_mprof.py || die
+       ${EPYTHON} test/test_precision_import.py || die
+       ${EPYTHON} test/test_stream_unicode.py || die
+       ${EPYTHON} test/test_tracemalloc.py || die
+}
+
+python_install_all() {
+       use examples && dodoc -r examples
+
+       distutils-r1_python_install_all
+}

Reply via email to